Bug 398928 - transform tool flipping causes reversed rotation
Summary: transform tool flipping causes reversed rotation
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools/Transform (show other bugs)
Version: nightly build (please specify the git hash!)
Platform: Appimage Linux
: NOR minor
Target Milestone: ---
Assignee: Dmitry Kazakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-21 19:28 UTC by wkg28406
Modified: 2018-09-26 11:54 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
video of rotation (1.39 MB, video/webm)
2018-09-21 19:28 UTC, wkg28406
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wkg28406 2018-09-21 19:28:11 UTC
krita-4.2.0-pre-alpha-127857b-x86_64.appimage

Tested with fresh configuration (removing existing ~/.local/share/krita, ~/.config/krita*)

Reproducible: Always

Steps:
1. New document (ctrl+n)
2. Draw horizontal line (for visualization purposes)
3. Enter transform mode and rotate object, results expected (ctrl+t)
4. Right click on object, Flip Horizontal or Vertical, now try rotating

Results:
Rotation of object is swapped

Expected:
Rotation of object is the same as regular rotation

I can see why this would happen, but it is very disorienting.

Video attached.
Comment 1 wkg28406 2018-09-21 19:28:55 UTC
Created attachment 115155 [details]
video of rotation
Comment 2 Dmitry Kazakov 2018-09-25 19:50:49 UTC
Nice bug! Thank you for the report! :)

I will have a look
Comment 3 Dmitry Kazakov 2018-09-26 11:53:53 UTC
Git commit 5847779a9f3b99aad562e148d2b12c48e1d6df73 by Dmitry Kazakov.
Committed on 26/09/2018 at 11:53.
Pushed by dkazakov into branch 'master'.

Fix rotation direction when the transformed piece is mirrored

M  +9    -8    plugins/tools/tool_transform2/kis_free_transform_strategy.cpp

https://commits.kde.org/krita/5847779a9f3b99aad562e148d2b12c48e1d6df73
Comment 4 Dmitry Kazakov 2018-09-26 11:54:28 UTC
Git commit f6874ea38ec700b0e4bfa54facc1329f34116366 by Dmitry Kazakov.
Committed on 26/09/2018 at 11:53.
Pushed by dkazakov into branch 'krita/4.1'.

Fix rotation direction when the transformed piece is mirrored

M  +9    -8    plugins/tools/tool_transform2/kis_free_transform_strategy.cpp

https://commits.kde.org/krita/f6874ea38ec700b0e4bfa54facc1329f34116366